JSTRING(3L)

NAME
jstring - draw character string on display

SYNOPSIS
#include <dmd.h>

Point jstring (s)
char *s;

DESCRIPTION
The jstring function draws, in the F_XOR mode, the null-terminated string s in the display Bitmap using mediumfont so that the origin of the rectangle enclosing the first character is at the current window point. It returns the current window point, which is left after the last character of the string, so adjacent calls to jstring can appear to concatenate their argument strings on the screen.

EXAMPLE
The following program shows how jstring automatically updates PtCurrent.

    #include <dmd.h>
    Point jstring();
    main()
    {
        jmove (Pt(16,16));
        jstring ("I");
        jline (Pt(40,0), F_XOR);
        jstring ("love");
        jline (Pt(40,0), F_XOR);
        jstring ("my");
        jline (Pt(40,0), F_XOR);
        jstring ("630MTG");
        request (KBD);
        wait (KBD);
    }

SEE ALSO
globals(3R), string(3R), structures(3R).